# Uses of Enum Class
org.bukkit.inventory.MainHand

Packages that use MainHand
Package
Description
com.destroystokyo.paper
com.destroystokyo.paper.event.player
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of MainHand in com.destroystokyo.paper

Fields in com.destroystokyo.paper with type parameters of type MainHand
Modifier and Type
Field
Description
`static final ClientOption<MainHand>`
ClientOption.`MAIN_HAND`

## Uses of MainHand in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player that return MainHand
Modifier and Type
Method
Description
`@NotNull MainHand`
PlayerClientOptionsChangeEvent.`getMainHand()`
Constructors in com.destroystokyo.paper.event.player with parameters of type MainHand
Modifier
Constructor
Description
``
`PlayerClientOptionsChangeEvent(@NotNull Player player, @NotNull String locale, int viewDistance, @NotNull ClientOption.ChatVisibility chatVisibility, boolean chatColors, @NotNull SkinParts skinParts, @NotNull MainHand mainHand)`
Deprecated.

## Uses of MainHand in org.bukkit.entity

Methods in org.bukkit.entity that return MainHand
Modifier and Type
Method
Description
`@NotNull MainHand`
HumanEntity.`getMainHand()`
Gets the player's selected main hand

## Uses of MainHand in org.bukkit.event.player

Methods in org.bukkit.event.player that return MainHand
Modifier and Type
Method
Description
`@NotNull MainHand`
PlayerChangedMainHandEvent.`getMainHand()`
Gets the new main hand of the player.
Constructors in org.bukkit.event.player with parameters of type MainHand
Modifier
Constructor
Description
``
`PlayerChangedMainHandEvent(@NotNull Player who, @NotNull MainHand mainHand)`

## Uses of MainHand in org.bukkit.inventory

Methods in org.bukkit.inventory that return MainHand
Modifier and Type
Method
Description
`static MainHand`
MainHand.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MainHand[]`
MainHand.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.